make.valid.html
Prev | HTML | Next

## make.valid.html

make.valid.html — Attempt to make sure the HTML output is valid HTML

## Synopsis

    <xsl:param name="make.valid.html" select="0"></xsl:param>

## Description

If `make.valid.html` is true, the stylesheets take extra effort to ensure that the resulting HTML is valid. This may mean that some `para` tags are translated into HTML `div`s or that other substitutions occur.

This parameter is different from `html.cleanup` because it changes the resulting markup; it does not use extension functions to manipulate result-tree-fragments and is therefore applicable to any XSLT processor.

Prev | Up | Next
html.longdesc.link | Home | html.cleanup